<?php 
class VstSoloElementos{
	
	protected $_elementos= array();
	
	
	public function __construct(){
		
	}
	
	
	public function render(){
		$salida = '';
				
		ob_flush();
		foreach ($this->_elementos as $elemento){
			
			if(strlen($elemento['clase'])>0)
				$salida .= '<div class="'.$elemento['clase'].'">';
			
			if(strlen($elemento['titulo'])>0)
				$salida .= '<h3>'.$elemento['titulo'].'</h3>' ;
			if(is_object($elemento['elemento'])){
				$salida .= $elemento['elemento']->render();
			}else{
				$salida .= $elemento['elemento'];
			}
			
			if(strlen($elemento['clase'])>0)
				$salida .= '</div>';
			
			
		}
		return $salida;
	}
	public function __toString(){
		return $this->render();
	}
	
	public function addElement(&$elemento, $titulo = '' , $clase = ''){
		$this->_elementos[] = array( 'elemento' => $elemento, 'titulo' => $titulo, 'clase'=>$clase);
	}
	
}